# Class CookieProperties

java.lang.Object
com.meterware.httpunit.cookies.CookieProperties

public class CookieProperties extends Object
Controls behavior for cookies.

## Constructor Summary

Constructors
Constructor
Description
`CookieProperties()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addCookieListener(CookieListener listener)`
Adds a listener for cookie events.
`static boolean`
`isDomainMatchingStrict()`
Returns true (the default) if cookies should be rejected if they specify a domain which is not a suffix of the host domain or does not contain all of the dots in that host domain name (see RFC2965).
`static boolean`
`isPathMatchingStrict()`
Returns true (the default) if cookies should be rejected if they specify a path which is not a prefix of the request path (see RFC2965).
`static void`
`reportCookieRejected(int reason, String attribute, String source)`
`static void`
`reset()`
`static void`
`setDomainMatchingStrict(boolean domainMatchingStrict)`
Specifies whether strict domain name matching must be followed.
`static void`
`setPathMatchingStrict(boolean pathMatchingStrict)`
Specifies whether strict path name matching must be followed.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CookieProperties

public CookieProperties()

## Method Details

### reset

public static void reset()

### isDomainMatchingStrict

public static boolean isDomainMatchingStrict()
Returns true (the default) if cookies should be rejected if they specify a domain which is not a suffix of the host domain or does not contain all of the dots in that host domain name (see RFC2965).

### setDomainMatchingStrict

public static void setDomainMatchingStrict(boolean domainMatchingStrict)
Specifies whether strict domain name matching must be followed.

### isPathMatchingStrict

public static boolean isPathMatchingStrict()
Returns true (the default) if cookies should be rejected if they specify a path which is not a prefix of the request path (see RFC2965).

### setPathMatchingStrict

public static void setPathMatchingStrict(boolean pathMatchingStrict)
Specifies whether strict path name matching must be followed.

### addCookieListener

public static void addCookieListener(CookieListener listener)
Adds a listener for cookie events.

### reportCookieRejected

public static void reportCookieRejected(int reason, String attribute, String source)